import { EventEmitter, Injectable } from '@angular/core';
import {HttpClient} from '@angular/common/http';
import {AuthService} from './auth.service';
import {ClonerService} from './clone.service';
import {Router} from '@angular/router';


@Injectable()
export class MenuService {

  itemClicked = new EventEmitter <any>();
  constructor(auth: AuthService, private router: Router ){ }
  // display profile editing based on current user
  public showProfile(): void {
    this.router.navigate(['/profile']);
  }
}
